%define _realname adblock
%define _chromedir %_libdir/mozilla/chrome

Name: mozilla-addon-adblock
Version: 0.2.1
Release: alt1
Summary: Removes unwanted images based on their address
License: GPL
Url: http://adblock.mozdev.org/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://adblock.mozdev.org/%_realname-mozilla-%version.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
AdBlock allows the user to specify a number of filters, which removes
unwanted images based on their address.

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir
unzip %{SOURCE0} -d $RPM_BUILD_ROOT%_chromedir
rm -f $RPM_BUILD_ROOT%_chromedir/install*
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

%files
%_chromedir/*.jar
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%changelog
* Fri Jul 18 2003 Victor Forsyuk <force@altlinux.ru> 0.2.1-alt1
- Initial build for Sisyphus.
